Bug#622234: gdmsetup isn't working (doesn't unblock)

Josh Triplett josh at joshtriplett.org
Sun May 8 05:00:52 UTC 2011

Package: gdm3
Version: 2.30.5-10
Followup-For: Bug #622234

I just installed a fresh system running unstable, and I experience this
problem as well.  However, policykit doesn't crash for me, so the
problem seems to have some other cause, and the crash also reported in
this bug report may represent a separate issue.

- Josh Triplett

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdm3 depends on:
ii  adduser                  3.112+nmu2      add and remove users and groups
ii  debconf [debconf-2.0]    1.5.39          Debian configuration management sy
ii  gconf2                   2.28.1-6        GNOME configuration database syste
ii  gnome-session [x-session 2.30.2-3        The GNOME Session Manager - GNOME 
ii  gnome-session-bin        2.30.2-3        The GNOME Session Manager - Minima
ii  gnome-terminal [x-termin 2.30.2-1        The GNOME terminal emulator applic
ii  libart-2.0-2             2.3.21-1        Library of functions for 2D graphi
ii  libatk1.0-0              2.0.0-1         The ATK accessibility toolkit
ii  libattr1                 1:2.4.44-2      Extended attribute shared library
ii  libaudit0                1.7.13-1+b2     Dynamic library for security audit
ii  libbonobo2-0             2.24.3-1        Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.24.3-1        The Bonobo UI library
ii  libc6                    2.13-2          Embedded GNU C Library: Shared lib
ii  libcairo2                1.10.2-6        The Cairo 2D vector graphics libra
ii  libcanberra-gtk0         0.24-1          Gtk+ helper for playing widget eve
ii  libcanberra0             0.24-1          a simple abstract interface for pl
ii  libdbus-1-3              1.4.8-3         simple interprocess messaging syst
ii  libdbus-glib-1-2         0.92-1          simple interprocess messaging syst
ii  libfontconfig1           2.8.0-2.2       generic font configuration library
ii  libfreetype6             2.4.4-1         FreeType 2 font engine, shared lib
ii  libgconf2-4              2.28.1-6        GNOME configuration database syste
ii  libgdk-pixbuf2.0-0       2.23.3-3        GDK Pixbuf library
ii  libglib2.0-0             2.28.6-1        The GLib library of C routines
ii  libgnome2-0              2.30.0-1        The GNOME library - runtime files
ii  libgnomecanvas2-0        2.30.1-1        A powerful object-oriented display
ii  libgtk2.0-0              2.24.4-3        The GTK+ graphical user interface 
ii  liborbit2                1:2.14.18-0.1   libraries for ORBit2 - a CORBA ORB
ii  libpam-modules           1.1.2-3         Pluggable Authentication Modules f
ii  libpam-runtime           1.1.2-3         Runtime support for the PAM librar
ii  libpam0g                 1.1.2-3         Pluggable Authentication Modules l
ii  libpanel-applet2-0       2.30.2-4        library for GNOME Panel applets
ii  libpango1.0-0            1.28.3-6        Layout and rendering of internatio
ii  libpolkit-gobject-1-0    0.101-4         PolicyKit Authorization API
ii  libpolkit-gtk-1-0        0.101-2         PolicyKit GTK+ API
ii  libpopt0                 1.16-1          lib for parsing cmdline parameters
ii  librsvg2-common          2.32.1-1        SAX-based renderer library for SVG
ii  libselinux1              2.0.98-1+b1     SELinux runtime shared libraries
ii  libupower-glib1          0.9.10-1        abstraction for power management -
ii  libwrap0                 7.6.q-19        Wietse Venema's TCP wrappers libra
ii  libx11-6                 2:1.4.3-1       X11 client-side library
ii  libxau6                  1:1.0.6-1       X11 authorisation library
ii  libxdmcp6                1:1.1.0-1       X11 Display Manager Control Protoc
ii  libxklavier16            5.0-2           X Keyboard Extension high-level AP
ii  libxml2                  2.7.8.dfsg-2+b1 GNOME XML library
ii  lsb-base                 3.2-27          Linux Standard Base 3.2 init scrip
ii  metacity [x-window-manag 1:2.30.1-3      lightweight GTK+ window manager
ii  policykit-1-gnome        0.101-2         GNOME authentication agent for Pol
ii  upower                   0.9.10-1        abstraction for power management
ii  xterm [x-terminal-emulat 269-1           X terminal emulator

Versions of packages gdm3 recommends:
pn  at-spi                        <none>     (no description available)
ii  desktop-base                  6.0.6      common files for the Debian Deskto
ii  gnome-icon-theme              2.30.3-2   GNOME Desktop icon theme
ii  gnome-power-manager           2.32.0-2   power management tool for the GNOM
ii  gnome-settings-daemon         2.30.2-3   daemon handling the GNOME session 
ii  x11-xkb-utils                 7.6+2      X11 XKB utilities
ii  xserver-xephyr                2:1.10.1-2 nested X server
ii  xserver-xorg                  1:7.6+6    the X.Org X server
ii  zenity                        2.30.0-1   Display graphical dialog boxes fro

Versions of packages gdm3 suggests:
pn  gnome-mag                     <none>     (no description available)
pn  gnome-orca                    <none>     (no description available)
pn  gok                           <none>     (no description available)
ii  libpam-gnome-keyring          3.0.0-3    PAM module to unlock the GNOME key
ii  metacity                      1:2.30.1-3 lightweight GTK+ window manager

-- debconf information:
* shared/default-x-display-manager: gdm3
  gdm3/daemon_name: /usr/sbin/gdm3

More information about the pkg-gnome-maintainers mailing list